"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class DrugResponse(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "TreatmentAgent",
        "drugResponseClassification",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_4 import reports as reports_6_1_0

        return {
            "drugResponseClassification": reports_6_1_0.DrugResponseClassification,
        }

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_4 import reports as reports_6_1_0

        return {
            "org.gel.models.report.avro.DrugResponseClassification": reports_6_1_0.DrugResponseClassification,
            "org.gel.models.report.avro.DrugResponse": reports_6_1_0.DrugResponse,
        }

    __slots__ = [
        "TreatmentAgent",
        "drugResponseClassification",
    ]

    def __init__(
        self,
        TreatmentAgent,
        drugResponseClassification,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_1_0.DrugResponse model.

        :param TreatmentAgent:
            Treatment agent
        :type TreatmentAgent: str
        :param drugResponseClassification:
            associated effect of the drug
        :type drugResponseClassification: DrugResponseClassification
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.1.0"
